| PST SDK 6.0.0.0-272350a

Static Public Attributes | List of all members
pstech.pstsdk.tracker.ETrackerMode Class Reference

Tracker mode enum class. More...

Inheritance diagram for pstech.pstsdk.tracker.ETrackerMode:
[legend]
Collaboration diagram for pstech.pstsdk.tracker.ETrackerMode:
[legend]

## Static Public Attributes
int | MODE_LOWPOWER = 0
| Tracker is in lowpower mode waiting for activity to resume. More...
int | MODE_SETUP = 1
| Tracker is in setup mode. More...
int | MODE_TRACKING = 2
| Tracker is in tracking mode. More...
int | MODE_TRAINING = 3
| Tracker is in training mode. More...
int | MODE_DISCONNECT = 4
| Tracker has been disconnected. More...
int | MODE_RECONNECT = 5
| Tracker has been reconnected. More...
int | MODE_ERROR = 6
| Tracker has encountered an error. More...
int | MODE_UNKNOWN = 7
| Tracker is in an unknown state. More...

## Detailed Description

Tracker mode enum class.

This enum class lists all modes that can be reported by the tracker.

## Member Data Documentation

## ◆ MODE_DISCONNECT

pstech.pstsdk.tracker.ETrackerMode.MODE_DISCONNECT = 4
| static

Tracker has been disconnected.

## ◆ MODE_ERROR

pstech.pstsdk.tracker.ETrackerMode.MODE_ERROR = 6
| static

Tracker has encountered an error.

## ◆ MODE_LOWPOWER

pstech.pstsdk.tracker.ETrackerMode.MODE_LOWPOWER = 0
| static

Tracker is in lowpower mode waiting for activity to resume.

## ◆ MODE_RECONNECT

pstech.pstsdk.tracker.ETrackerMode.MODE_RECONNECT = 5
| static

Tracker has been reconnected.

## ◆ MODE_SETUP

pstech.pstsdk.tracker.ETrackerMode.MODE_SETUP = 1
| static

Tracker is in setup mode.

## ◆ MODE_TRACKING

pstech.pstsdk.tracker.ETrackerMode.MODE_TRACKING = 2
| static

Tracker is in tracking mode.

## ◆ MODE_TRAINING

pstech.pstsdk.tracker.ETrackerMode.MODE_TRAINING = 3
| static

Tracker is in training mode.

## ◆ MODE_UNKNOWN

pstech.pstsdk.tracker.ETrackerMode.MODE_UNKNOWN = 7
| static

Tracker is in an unknown state.

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/tracker.py